Delete Webhook
curl --request DELETE \
--url https://ipos.dev.nowbookit.com/Webhooks/{event} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://ipos.dev.nowbookit.com/Webhooks/{event}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://ipos.dev.nowbookit.com/Webhooks/{event}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://ipos.dev.nowbookit.com/Webhooks/{event}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://ipos.dev.nowbookit.com/Webhooks/{event}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://ipos.dev.nowbookit.com/Webhooks/{event}")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://ipos.dev.nowbookit.com/Webhooks/{event}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_bodyOutbound Webhooks
DELETE /Webhooks/{event}
Delete a webhook subscription. NowBookIt stops sending notifications after deletion.
DELETE
/
Webhooks
/
{event}
Delete Webhook
curl --request DELETE \
--url https://ipos.dev.nowbookit.com/Webhooks/{event} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://ipos.dev.nowbookit.com/Webhooks/{event}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://ipos.dev.nowbookit.com/Webhooks/{event}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://ipos.dev.nowbookit.com/Webhooks/{event}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://ipos.dev.nowbookit.com/Webhooks/{event}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://ipos.dev.nowbookit.com/Webhooks/{event}")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://ipos.dev.nowbookit.com/Webhooks/{event}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_bodyDelete a webhook subscription. NowBookIt will stop sending notifications for this event after deletion. No request body is required.
string
required
Your API key
string
required
Event name. Valid values:
BOOKING_CREATED, BOOKING_UPDATED, GIFTCARDS_CREATED, GIFTCARDS_UPDATED, GIFTCARDS_CANCELLED, GIFTCARDS_REDEEMEDcurl --location --request DELETE '[BASE_URL]/Webhooks/BOOKING_CREATED' \
--header 'X-API-KEY: your_api_key_here'
| Status | Description |
|---|---|
200 | Subscription deleted |
400 | API key not associated with a venue |
400 | No Venue Subscribed to your App. |
401 | X-API-KEY missing or invalid |
404 | '{event}' not found. — event name not recognised |
404 | Webhook Subscription for event '{event}' was not found — valid event but no subscription exists |
Authorizations
Headers
API Key authentication header
Path Parameters
The name of the event that the webhook subscription is being removed from.
Available options:
BOOKING_CREATED, BOOKING_UPDATED, GIFTCARDS_CREATED, GIFTCARDS_UPDATED, GIFTCARDS_CANCELLED, GIFTCARDS_REDEEMED Response
200
Webhook deleted successfully